Skip to main content
`Ctrl`+`K`

# ISGetLocalSize

Returns the local (processor) length of an index set.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetLocalSize(IS is, PetscInt *size)

Not Collective

## Input Parameter

- is - the index set

## Output Parameter

- size - the local size

## See Also

`IS`, `ISGetSize()`

## Level

beginner

## Location

src/vec/is/is/interface/index.c

## Examples

src/ksp/ksp/tutorials/ex82.c
src/ksp/ksp/tutorials/ex59.c
src/snes/tutorials/ex77.c
src/ksp/ksp/tutorials/ex71.c
src/ksp/ksp/tutorials/ex76.c
src/dm/tutorials/ex22.c
src/snes/tutorials/ex56.c
src/dm/impls/plex/tutorials/ex10.c
src/snes/tutorials/ex13.c
src/ksp/ksp/tutorials/ex87.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages